> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Create a parent

POST https://ssuccessv2.com/app/api/v1/parent/create
Content-Type: application/json

Creates a parent in the active school, resolves the family and parent type, and attaches each submitted address.

Reference: https://docs.schoolset.io/api-reference/school-set-api/parents/create-parent

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Body (application/json)

This endpoint expects an object.

- `firstname` (string, required)
- `lastname` (string, required)
- `cell_phone` (string, required)
- `address` (list of map from string to any, required)
- `family_id` (integer, required)
- `parent_student_type_id` (integer, required)
- `firstname_hebrew` (string, optional, nullable)
- `prefix` (string, optional, nullable)
- `marital_status` (string, optional, nullable)
- `occupation` (string, optional, nullable)
- `employer` (string, optional, nullable)
- `job_title` (string, optional, nullable)
- `hebrew_prefix` (string, optional, nullable)
- `suffix` (string, optional, nullable)
- `hebrew_suffix` (string, optional, nullable)
- `lastname_hebrew` (string, optional, nullable)
- `marital_status_id` (integer, optional, nullable)
- `email` (string, optional, nullable)
- `dob` (date, optional, nullable)
- `dob_hebrew` (string, optional, nullable)
- `home_phone` (string, optional, nullable)

## Response

### 200

Parent created

- `status` (string, optional)
- `message` (string, optional)
- `data` (map from string to any, optional) — ParentStudentResource

## Errors

### 401 Unauthorized Error

Unauthenticated

- `any`

### 403 Forbidden Error

Missing create-parents permission

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 404 Not Found Error

Family or parent type not found

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

Validation failure

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Examples

**Request**

```json
{
  "firstname": "Jordan",
  "lastname": "Rivera",
  "cell_phone": "+1-917-555-0182",
  "address": [
    {}
  ],
  "family_id": 88,
  "parent_student_type_id": 1
}
```

**Response**

```json
{
  "status": "success",
  "message": "Saved",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://ssuccessv2.com/app/api/v1/parent/create"

payload = {
    "firstname": "Jordan",
    "lastname": "Rivera",
    "cell_phone": "+1-917-555-0182",
    "address": [{}],
    "family_id": 88,
    "parent_student_type_id": 1
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ssuccessv2.com/app/api/v1/parent/create';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"firstname":"Jordan","lastname":"Rivera","cell_phone":"+1-917-555-0182","address":[{}],"family_id":88,"parent_student_type_id":1}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/parent/create"

	payload := strings.NewReader("{\n  \"firstname\": \"Jordan\",\n  \"lastname\": \"Rivera\",\n  \"cell_phone\": \"+1-917-555-0182\",\n  \"address\": [\n    {}\n  ],\n  \"family_id\": 88,\n  \"parent_student_type_id\": 1\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/parent/create")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"firstname\": \"Jordan\",\n  \"lastname\": \"Rivera\",\n  \"cell_phone\": \"+1-917-555-0182\",\n  \"address\": [\n    {}\n  ],\n  \"family_id\": 88,\n  \"parent_student_type_id\": 1\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://ssuccessv2.com/app/api/v1/parent/create")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"firstname\": \"Jordan\",\n  \"lastname\": \"Rivera\",\n  \"cell_phone\": \"+1-917-555-0182\",\n  \"address\": [\n    {}\n  ],\n  \"family_id\": 88,\n  \"parent_student_type_id\": 1\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://ssuccessv2.com/app/api/v1/parent/create', [
  'body' => '{
  "firstname": "Jordan",
  "lastname": "Rivera",
  "cell_phone": "+1-917-555-0182",
  "address": [
    {}
  ],
  "family_id": 88,
  "parent_student_type_id": 1
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/parent/create");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"firstname\": \"Jordan\",\n  \"lastname\": \"Rivera\",\n  \"cell_phone\": \"+1-917-555-0182\",\n  \"address\": [\n    {}\n  ],\n  \"family_id\": 88,\n  \"parent_student_type_id\": 1\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "firstname": "Jordan",
  "lastname": "Rivera",
  "cell_phone": "+1-917-555-0182",
  "address": [[]],
  "family_id": 88,
  "parent_student_type_id": 1
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/parent/create")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```